#!/bin/bash

function get_bcmdhd_path()
{
	BCMDHD_PATH=`find / -name bcmdhd.ko |grep bcmdhd`
	BCMDHD_PATH_ARR=
	if [ 0 -eq $? ];then
		BCMDHD_PATH_ARR=($BCMDHD_PATH)
	fi
	echo "${BCMDHD_PATH_ARR[0]}"
}

function insmod_bcmdhd_ko()
{
	if [ "$1" == "" ];then
		echo -e "\033[31m[Warning] bcmdhd.ko not find !\033[0m"
	else
		insmod $1 firmware_path="/lib/firmware/rkwifibt/wifi/*.bin" nvram_path="/lib/firmware/rkwifibt/wifi/*.txt"
	fi
}

function start_bluetooth()
{
	##unblock soft interrupt
	#declare -i i=0
	#RFNUM=`rfkill | wc -l`
	#while ((i<=${RFNUM}-2))
	#do
		#rfkill unblock $i
		#let ++i
	#done

	##open bluetooth
	FALSE=
	BLUE_UP=`hciconfig`
	if [ "$BLUE_UP" == "$FALSE" ];then
        	HCD_PATH=`ls /lib/firmware/rkwifibt/bt/*.hcd`
        	brcm_patchram_plus1 --bd_addr_rand --enable_hci --no2bytes --use_baudrate_for_download --tosleep 200000 --baudrate 1500000 --patchram $HCD_PATH /dev/ttyS0
	fi
}

function main()
{
	BCMDHD_PATH=`get_bcmdhd_path`
	insmod_bcmdhd_ko $BCMDHD_PATH
	start_bluetooth
}

main
